# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinitionWithAssociatedDocuments Class Reference

`#include <StepBasic_ProductDefinitionWithAssociatedDocuments.hxx>`

Inheritance diagram for StepBasic_ProductDefinitionWithAssociatedDocuments:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductDefinitionWithAssociatedDocuments ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ProductDefinitionFormation)&aFormation, const Handle(StepBasic_ProductDefinitionContext)&aFrame, const Handle(StepBasic_HArray1OfDocument)&aDocIds)
Standard_EXPORT Handle_StepBasic_HArray1OfDocument | DocIds () const
Standard_EXPORT void | SetDocIds (const Handle(StepBasic_HArray1OfDocument)&DocIds)
Standard_EXPORT Standard_Integer | NbDocIds () const
Standard_EXPORT Handle_StepBasic_Document | DocIdsValue (const Standard_Integer num) const
Standard_EXPORT void | SetDocIdsValue (const Standard_Integer num, const Handle(StepBasic_Document)&adoc)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_HArray1OfDocument | theDocIds

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinitionWithAssociatedDocuments::StepBasic_ProductDefinitionWithAssociatedDocuments | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_HArray1OfDocument StepBasic_ProductDefinitionWithAssociatedDocuments::DocIds | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Document StepBasic_ProductDefinitionWithAssociatedDocuments::DocIdsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepBasic_ProductDefinitionWithAssociatedDocuments::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ProductDefinition.

Standard_EXPORT void StepBasic_ProductDefinitionWithAssociatedDocuments::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ProductDefinitionFormation)& | aFormation,
|  | const Handle(StepBasic_ProductDefinitionContext)& | aFrame,
|  | const Handle(StepBasic_HArray1OfDocument)& | aDocIds
| ) |

Standard_EXPORT Standard_Integer StepBasic_ProductDefinitionWithAssociatedDocuments::NbDocIds | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductDefinitionWithAssociatedDocuments::SetDocIds | ( | const Handle(StepBasic_HArray1OfDocument)& | DocIds | ) |

Standard_EXPORT void StepBasic_ProductDefinitionWithAssociatedDocuments::SetDocIdsValue | ( | const Standard_Integer | num,
|  | const Handle(StepBasic_Document)& | adoc
| ) |

## Field Documentation

Handle_StepBasic_HArray1OfDocument StepBasic_ProductDefinitionWithAssociatedDocuments::theDocIds `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinitionWithAssociatedDocuments.hxx